import { jsx } from "react/jsx-runtime";
import { MarkerCircle as MarkerCircle$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MarkerCircle = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "MarkerCircle", ...props, children: /* @__PURE__ */ jsx(MarkerCircle$1, { weight: variant }) });
  }
);
MarkerCircle.displayName = "MarkerCircle";
Object.assign(MarkerCircle, { isGdsIcon: true });
export {
  MarkerCircle
};
